// Copyright (c) 2024 mathru. All rights reserved.

/// A package that provides widgets for UI to facilitate design and implementation.
///
/// To use, import `package:katana_ui/katana_ui.dart`.
///
/// [mathru.net]: https://mathru.net
/// [YouTube]: https://www.youtube.com/c/mathrunetchannel
library katana_ui;

// Dart imports:
import 'dart:async';

// Flutter imports:
import 'package:flutter/material.dart' hide Scaffold;

// Package imports:
import 'package:shimmer/shimmer.dart' as sm;
import 'package:universal_platform/universal_platform.dart';

export 'package:katana/katana.dart';

part 'modal/modal.dart';
part 'ui/loading_builder.dart';
part 'ui/scroll_builder.dart';
part 'ui/indent.dart';
part 'ui/card_tile.dart';
part 'ui/label.dart';
part 'ui/line_tile.dart';
part 'ui/periodic_scope.dart';
part 'ui/chat_tile.dart';
part 'ui/shimmer.dart';
part 'ui/avatar_tile.dart';
part 'ui/message_box.dart';
part 'ui/square_avatar.dart';
